#pragma once

#include <memory>
#include <string>

class IFontEngine;

class FontsManager
{
public:
    FontsManager();
    static std::unique_ptr<FontsManager> Create();

    IFontEngine* getFontEngine() const;

private:
    std::unique_ptr<IFontEngine> mFontEngine;
};

using FontsManagerPtr = std::unique_ptr<FontsManager>;
