#pragma once

#include "AbstractPainter.h"

class DrawingContext;

class OpenGlPainter : public AbstractPainter
{
public:

    OpenGlPainter();


    void initialize();
    void paint(DrawingContext* context) override;

private:
    bool mInitialized{false};
    unsigned int mShaderProgram{0};
};


